#  include/statuscodes.py
#  
#  module version: 1.1.20130625
#    for protocol version 0.2.20130625
#


class statuscodes:
    description = dict(
    # 000 - 400 server side
        # 000 information
        s001 = "OK",
        s002 = "Version",
        s003 = "MOTD",
        s004 = "Exit",
        # 100 authentication and maintenance
        s101 = "AuthRequest",
        s102 = "AuthSuccess",
        s103 = "AuthFailure",
        #s104 = "To Many Tries",
        # 200 command
        s201 = "Valid",
        s202 = "Valid Service Command",
        s203 = "Invalid",
        s204 = "Failure",
        s205 = "Continue",
        # 300 server
        s301 = "Unhandled Exception",
        s302 = "Shutting Down",
        s303 = "Restarting",
        s304 = "Encoding Error",
        s305 = "SSL Error",
    # 500 - 900 client side
        # 500 information
        s501 = "OK",
        s502 = "Version",
        # 600 authentication and maintenance
        s601 = "Response",
        s602 = "Failure",
        # 700 command
        s701 = "Reqiuest",
        s702 = "Cancel",
        # 800 client
        s801 = "SSL Error"
    )
